import torch
from transformers import AutoTokenizer, AutoModelForCausalLM

def get_model_and_tokenizer(
    model_name: str,
    *,
    dtype: torch.dtype = torch.bfloat16,
):

    # LLAMA VARIANTS
    if model_name == "llama3-8b":
        model_path = # FILL IN
    elif model_name == "Llama_31_8b":
        model_path = # FILL IN
    # QWEN 2.5 VARIANTS
    elif model_name == "qwen25_3B":
        model_path = # FILL IN
    elif model_name == "qwen25_7B":
        model_path = # FILL IN
    elif model_name == "qwen25_14B":
        model_path = # FILL IN

    tokenizer = AutoTokenizer.from_pretrained(model_path)
    model = AutoModelForCausalLM.from_pretrained(model_path, torch_dtype= dtype, attn_implementation="eager", device_map="auto")
    return model, tokenizer